com.sun.jna.platform.win32

## Class WinNT.SECURITY_DESCRIPTOR

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SECURITY_DESCRIPTOR

Direct Known Subclasses:
  WinNT.SECURITY_DESCRIPTOR.ByReference

Enclosing interface:
  WinNT

    @Structure.FieldOrder(value="data")
    public static class WinNT.SECURITY_DESCRIPTOR
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `WinNT.SECURITY_DESCRIPTOR.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte[]` `data`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SECURITY_DESCRIPTOR()`
`SECURITY_DESCRIPTOR(byte[] data)`
`SECURITY_DESCRIPTOR(int size)`
`SECURITY_DESCRIPTOR(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### data

    public byte[] data

### Constructor Detail

#### SECURITY_DESCRIPTOR

    public SECURITY_DESCRIPTOR()

#### SECURITY_DESCRIPTOR

    public SECURITY_DESCRIPTOR(byte[] data)

#### SECURITY_DESCRIPTOR

    public SECURITY_DESCRIPTOR(int size)

#### SECURITY_DESCRIPTOR

    public SECURITY_DESCRIPTOR(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.